package com.ruoyi.rc.mapper;

import java.util.List;
import com.ruoyi.rc.domain.TCommonfile;

/**
 * 通用附件Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-29
 */
public interface TCommonfileMapper 
{
    /**
     * 查询通用附件列表
     *
     * @param tCommonfile 通用附件
     * @return 通用附件集合
     */
    List<TCommonfile> selectAllFileList(TCommonfile tCommonfile);

    /**
     * 查询通用附件
     * 
     * @param id 通用附件主键
     * @return 通用附件
     */
    public TCommonfile selectTCommonfileById(Long id);

    /**
     * 查询通用附件列表
     * 
     * @param tCommonfile 通用附件
     * @return 通用附件集合
     */
    public List<TCommonfile> selectTCommonfileList(TCommonfile tCommonfile);

    /**
     * 新增通用附件
     * 
     * @param tCommonfile 通用附件
     * @return 结果
     */
    public int insertTCommonfile(TCommonfile tCommonfile);

    /**
     * 修改通用附件
     * 
     * @param tCommonfile 通用附件
     * @return 结果
     */
    public int updateTCommonfile(TCommonfile tCommonfile);

    /**
     * 删除通用附件
     * 
     * @param id 通用附件主键
     * @return 结果
     */
    public int deleteTCommonfileById(Long id);

    /**
     * 批量删除通用附件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCommonfileByIds(Long[] ids);
}
